Package bitel.billing.server.tariff.voice.bean

# Class GeographicCodeManager

java.lang.Object
bitel.billing.server.tariff.voice.bean.GeographicCodeManager

    public class GeographicCodeManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GeographicCodeManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteAllCodes()` |
  `void` | `deleteCode​(java.lang.String code)` |
  `java.lang.String` | `exportToFile​(java.lang.String prefix)` |
  `java.util.List<GeographicCode>` | `getGeographicCodeList()` |
  `GeographicCode` | `getRootCode()` |
  `GeographicCode` | `getRootCode​(boolean destinationTitle)` |
  `GeographicCode` | `getRootCode​(int mapId)` |
  `java.lang.String` | `getTableName()` |
  `void` | `loadFromFile​(java.lang.String data, boolean addNew, boolean updateExist)` |
  `void` | `updateCode​(GeographicCode code)` |
  `void` | `updateCode​(java.lang.String code, java.lang.String destTitle)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GeographicCodeManager

    public GeographicCodeManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getTableName

    public java.lang.String getTableName()

  - ### updateCode

    public void updateCode​(GeographicCode code)

  - ### updateCode

    public void updateCode​(java.lang.String code, java.lang.String destTitle)

  - ### deleteCode

    public void deleteCode​(java.lang.String code)

  - ### deleteAllCodes

    public void deleteAllCodes()

  - ### getRootCode

    public GeographicCode getRootCode​(int mapId)

  - ### getRootCode

    public GeographicCode getRootCode​(boolean destinationTitle)

  - ### getRootCode

    public GeographicCode getRootCode()

  - ### loadFromFile

    public void loadFromFile​(java.lang.String data, boolean addNew, boolean updateExist)

  - ### exportToFile

    public java.lang.String exportToFile​(java.lang.String prefix)

  - ### getGeographicCodeList

    public java.util.List<GeographicCode> getGeographicCodeList()